// ------------------------------- //
// -------- Start of File -------- //
// ------------------------------- //
// ----------------------------------------------------------- // 
// C++ Source Code File Name: fstring.cpp 
// Compiler Used: MSVC40, DJGPP 2.7.2.1, GCC 2.7.2.1, HP CPP 10.24
// Produced By: Doug Gaer   
// File Creation Date: 02/07/97  
// Date Last Modified: 12/04/97
// Copyright (c) 1997 Douglas M. Gaer
// ----------------------------------------------------------- // 
// ------------- Program Description and Details ------------- // 
// ----------------------------------------------------------- // 
/*
This is fixed length (static) string class.
*/
// ----------------------------------------------------------- //   

#include "fstring.hpp"

void FString::Clear()
{
  for(unsigned i = 0; i < Len; i++)
    str[i] = 0;
}

void FString::Store(char *s)
{
  char *buf = new char[Len+1];
  buf[Len] = '\0';
  memcpy(buf, s, Len);
  for(unsigned i = 0; i < Len; i++)
    str[i] = buf[i];
}

void FString::Store(const char *s)
{
  char *buf = new char[Len+1];
  buf[Len] = '\0';
  memcpy(buf, s, Len);
  for(unsigned i = 0; i < Len; i++)
    str[i] = buf[i];
}

void FString::Copy(const FString &s)
{
  Clear();

  for(unsigned i = 0; i < Len; i++)
    str[i] = s.str[i];
}

char *FString::c_str()
{
  char *buf = new char[Len+1];
  buf[Len] = '\0';
  memcpy(buf, str, Len);
  return buf;
}

const char *FString::c_str() const
{
  char *buf = new char[Len+1];
  buf[Len] = '\0';
  memcpy(buf, str, Len);
  return buf;
}
// ----------------------------------------------------------- // 
// ------------------------------- //
// --------- End of File --------- //
// ------------------------------- //
// ------------------------------- //
